Hanzo
API Reference

Hanzo ML API

Hanzo ML provides end-to-end MLOps pipeline management including

Hanzo ML provides end-to-end MLOps pipeline management including

Base URLhttps://ml.hanzo.ai
Version1.0.0
Operations21
GuideHanzo ML API guide

Authentication

  • bearerAuth — HTTP bearer
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://ml.hanzo.ai

Endpoints

Deployments

MethodEndpointDescription
POST/v1/ml/deployDeploy a model
GET/v1/ml/deploymentsList deployments
GET/v1/ml/deployments/{deployment_id}Get deployment details
DELETE/v1/ml/deployments/{deployment_id}Stop a deployment

Experiments

MethodEndpointDescription
GET/v1/ml/experimentsList experiments
POST/v1/ml/experimentsCreate an experiment
GET/v1/ml/experiments/{experiment_id}/runsList experiment runs
POST/v1/ml/experiments/{experiment_id}/runsStart an experiment run
GET/v1/ml/experiments/{experiment_id}/runs/{run_id}/metricsGet run metrics
POST/v1/ml/experiments/{experiment_id}/runs/{run_id}/metricsLog metrics

Health

MethodEndpointDescription
GET/healthHealth check

Models

MethodEndpointDescription
GET/v1/ml/modelsList models
POST/v1/ml/modelsRegister a model
GET/v1/ml/models/{model_id}Get model details
POST/v1/ml/models/{model_id}/promotePromote a model
POST/v1/ml/models/{model_id}/rollbackRollback a model

Pipelines

MethodEndpointDescription
GET/v1/ml/pipelinesList pipelines
POST/v1/ml/pipelinesCreate a pipeline
GET/v1/ml/pipelines/{pipeline_id}Get pipeline details
GET/v1/ml/pipelines/{pipeline_id}/runsList pipeline runs
POST/v1/ml/pipelines/{pipeline_id}/runsStart a pipeline run

Hanzo ML API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page